import { IsEmail, IsNotEmpty, IsString } from 'class-validator';

/**
 * Simple reset mail request class for validation and easier handling.
 */
export class ResetMail {

    @IsString()
    @IsEmail()
    @IsNotEmpty()
    address: string;

    @IsString()
    @IsNotEmpty()
    resetKey: string;
}