import { IsEmail, IsNotEmpty, IsString } from 'class-validator';

/**
 * Simple welcome mail request class for validation and easier handling.
 */
export class WelcomeMail {

    @IsString()
    @IsEmail()
    @IsNotEmpty()
    address: string;

    @IsString()
    @IsNotEmpty()
    selfserviceToken: string;
}